/* ExpirementalMasteryReport3.cmd
 *
 * Creates a mastery report sheet in HTML
 *
 */

/* set up constants */
BoxWidth = "7%"  /* width of the box that holds the mastery number */
StuNumWidth = "12%"  /* the width of the number box in front of each student's name */
StuNameWidth = "30%"  /* the width of the box that holds a student's name */
HeadingWidth = "37"  /* the width, in %, of the box that holds the column headings */

/* Set up class name, output file name, period */
Chapter = '1'
Period = 'B3'
ClassName = 'Algebra 1'
FileClass = "Mastery"  /* either Mastery or Homework */
OutputFile = "R:\" || FileClass || Period || ClassName || ".html"

/* stem var to hold student names with the first three name spaces holding the column headings */
StuName. = "&nbsp;"
StuName.0 = 22 /* the number of students */
StuName.1.LName = ""
StuName.1.FName = ""
StuName.2.LName = ""
StuName.2.FName = ""
StuName.3.LName = ""
StuName.3.FName = ""
StuName.4.LName = ""
StuName.4.FName = ""
StuName.5.LName = ""
StuName.5.FName = ""
StuName.6.LName = ""
StuName.6.FName = ""
StuName.7.LName = ""
StuName.7.FName = ""
StuName.8.LName = ""
StuName.8.FName = ""
StuName.9.LName = ""
StuName.9.FName = ""
StuName.10.LName = ""
StuName.10.FName = ""
StuName.11.LName = ""
StuName.11.FName = ""
StuName.12.LName = ""
StuName.12.FName = ""
StuName.13.LName = ""
StuName.13.FName = ""
StuName.14.LName = ""
StuName.14.FName = ""
StuName.15.LName = ""
StuName.15.FName = ""
StuName.16.LName = ""
StuName.16.FName = ""
StuName.17.LName = ""
StuName.17.FName = ""
StuName.18.LName = ""
StuName.18.FName = ""
StuName.19.LName = ""
StuName.19.FName = ""
StuName.20.LName = ""
StuName.20.FName = ""
StuName.21.LName = ""
StuName.21.FName = ""
StuName.22.LName = ""
StuName.22.FName = ""


/* load REXX functions then make sure the output file is not in the current directory */
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs
call SysFileDelete OutputFile

/* output the html header */
call lineout OutputFile, '<!doctype html public "-//w3c//dtd html 4.0 transitional//en">'
call lineout OutputFile, '<html>'
call lineout OutputFile, '<head>'
call lineout OutputFile, '   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">'
call lineout OutputFile, '   <meta name="Author" content="Sheridan George">'
call lineout OutputFile, '   <meta name="GENERATOR" content="Mozilla/4.61 [en] (OS/2; I) [Netscape]">'
call lineout OutputFile, '   <title>Fall 2000 ' || ClassName || ' ' || FileClass || ' Tally Sheet</title>'
call lineout OutputFile, '</head>'
call lineout OutputFile, '<body>'

call lineout OutputFile, '<center>'
call lineout OutputFile, '<h2>'
call lineout OutputFile, ClassName || ' ' || FileClass || '</h2></center>'

call lineout OutputFile, '<center>'
call lineout OutputFile, '<h2>'
call lineout OutputFile, 'Chapter ' || Chapter || '</h2></center>'

call lineout OutputFile, '<center>'
call lineout OutputFile, '<h3>'
call lineout OutputFile, 'Fall Semester 2000</h3></center>'

/* creates the table header */
call lineout OutputFile, '<p />'
call lineout OutputFile, '<table>'
call lineout OutputFile, '<tr>'
call lineout OutputFile, '<td><b>Period ' || Period || '</b></td>'
call lineout OutputFile, '</tr>'
call lineout OutputFile, '</table>'

/* creates the table that displays the Mastery Number & Mastery Due Date */
call lineout OutputFile, '<table center WIDTH="100%">'
call lineout OutputFile, '<tr>'
call lineout OutputFile, '  <td width="' || HeadingWidth || '%" ALIGN=right BGCOLOR="#CCCCCC"><b>Unit Number:&nbsp;</b></td>'

/* create the 6 pairs of boxes across the page that hold the Unit numbers */
do Counter = 1 to 12 by 2
call lineout OutputFile, '  <td width=' || BoxWidth || '>'
call lineout OutputFile, '    <table BORDER COLS=12 WIDTH="100%" >'
call lineout OutputFile, '    <tr>'
                                if Counter < 11 then /* create the 5 pairs of boxes across the page that hold the Mastery numbers */
                                do
call lineout OutputFile, '        <td ALIGN=CENTER BGCOLOR="#CCCCCC"><b>' || Chapter || '-' || Counter || '</b></td>'
call lineout OutputFile, '        <td ALIGN=CENTER BGCOLOR="#CCCCCC"><b>' || Chapter || '-' || Counter+1 || '</b></td>'
                                end
                                else /* output 1 pair of blank boxes */
                                do
call lineout OutputFile, '        <td ALIGN=CENTER BGCOLOR="#CCCCCC"><b>&nbsp;&nbsp;</b></td>'
call lineout OutputFile, '        <td ALIGN=CENTER BGCOLOR="#CCCCCC"><b>&nbsp;&nbsp;</b></td>'
                                end /* if Counter > 10 */
call lineout OutputFile, '    </tr>'
call lineout OutputFile, '    </table>'
call lineout OutputFile, '  </td>'
end /* do Counter = 1 to 12 by 2 */

/* close out the Mastery Numbers row */
call lineout OutputFile, '</tr>'

/* start the Mastery Due Date row */
call lineout OutputFile, '<tr>'
call lineout OutputFile, '  <td  width="' || HeadingWidth || '%" ALIGN=right BGCOLOR="#CCCCCC"><b>Due Date:&nbsp;</b></td>'

/* create the 6 pairs of boxes across the page that hold the Mastery due date */
do Counter = 1 to 12 by 2
call lineout OutputFile, '  <td width = ' || BoxWidth || '>'
call lineout OutputFile, '    <table BORDER COLS=12 WIDTH="100%" >'
call lineout OutputFile, '    <tr>'
call lineout OutputFile, '      <td ALIGN=CENTER BGCOLOR="#ffffff"><b>&nbsp;</b></td>'
call lineout OutputFile, '      <td ALIGN=CENTER BGCOLOR="#ffffff"><b>&nbsp;</b></td>'
call lineout OutputFile, '    </tr>'
call lineout OutputFile, '    </table>'
call lineout OutputFile, '  </td>'
end /* do Counter = 1 to 12 by 2 */

/* close out the Mastery Due Date row */
call lineout OutputFile, '</tr>'
/* close out the table that displays the Mastery Number & Mastery Due Date */
call lineout OutputFile, '</table>'

/* creates the table that displays the words Code & Name */
call lineout OutputFile, '<table width="' ||HeadingWidth|| '%">'
call lineout OutputFile, '<tr>'
call lineout OutputFile, '  <td BGCOLOR="#ffffff">'
call lineout OutputFile, '    <table WIDTH="100%" bgcolor="#ffffff">'
call lineout OutputFile, '    <tr>'
call lineout OutputFile, '      <td  width="24%" ALIGN=left><b>Code</b></td>'
call lineout OutputFile, '      <td ALIGN=CENTER><b>Name</b></td>'
call lineout OutputFile, '    </tr>'
call lineout OutputFile, '    </table>'
call lineout OutputFile, '  </td>'
call lineout OutputFile, '</tr>'
call lineout OutputFile, '</table>'
/* end of table that displays the words Code & Name */

/* creates the table that displays boxes for student code, student name, and scores */
do TableRow = 1 to StuName.0

/* creates the table that will hold student code, student name, and scores */
call lineout OutputFile, '<table WIDTH="100%" cellpading="1">'
call lineout OutputFile, '<tr>'
call lineout OutputFile, '  <td width="' ||StuNameWidth|| '" ALIGN=right BGCOLOR="#ffffff">'
call lineout OutputFile, '<b>'
/* imbedded table to make form to hold student code & student name */
call lineout OutputFile, '  <table border WIDTH="100%" bgcolor="#ffffff" cellpadding="1">'
call lineout OutputFile, '  <tr>'
call lineout OutputFile, '    <td width="' ||StuNumWidth|| '" ALIGN=center><b>' || TableRow || '</b></td>'
call lineout OutputFile, '    <td ALIGN=left><b>' || StuName.TableRow.Fname StuName.TableRow.Lname || '</b></td>'
call lineout OutputFile, '  </tr>'
call lineout OutputFile, '  </table>'
/* end of the imbedded student code and name table */
call lineout OutputFile, '</b>'
call lineout OutputFile, '</td>'
/* end of the table that will hold student code, student name, and scores */

/* create the 6 pairs of boxes across the page that hold the students' scores */
do Counter = 1 to 12 by 2
call lineout OutputFile, '  <td width = ' || BoxWidth || '>'
call lineout OutputFile, '    <table BORDER COLS=12 WIDTH="100%" >'
call lineout OutputFile, '    <tr>'
call lineout OutputFile, '      <td ALIGN=CENTER BGCOLOR="#ffffff"><b>&nbsp;</b></td>'
call lineout OutputFile, '      <td ALIGN=CENTER BGCOLOR="#ffffff"><b>&nbsp;</b></td>'
call lineout OutputFile, '    </tr>'
call lineout OutputFile, '    </table>'
call lineout OutputFile, '  </td>'
end /* do Counter = 1 to 12 by 2 */

/* close out the student code, student name, and scores row */
call lineout OutputFile, '</tr>'
/* close out the table that holds student code, student name, and scores */
call lineout OutputFile, '</table>'

end /* do TableRow = 1 to 20 */

/* close out the html file */
call lineout OutputFile, '</body>'
call lineout OutputFile, '</html>'

