/* ExpirementalMasteryReport3.cmd
 *
 * Creates a mastery report sheet in HTML
 *
 */

/* Set up class name, output file name, period */
StuCode = "&nbsp;"
StuName = "Cassandra Zamora"
ClassName = 'Algebra II'
BoxWidth = "10%"
Period = 'B3'
Chapter = '5'
OutputFile = "R:\MasteryCMDtest.html"

/* load REXX functions then make sure the output file is not in the current directory */
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs
call SysFileDelete OutputFile

/* output the html header */
call lineout OutputFile, '<!doctype html public "-//w3c//dtd html 4.0 transitional//en">'
call lineout OutputFile, '<html>'
call lineout OutputFile, '<head>'
call lineout OutputFile, '   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">'
call lineout OutputFile, '   <meta name="Author" content="Sheridan George">'
call lineout OutputFile, '   <meta name="GENERATOR" content="Mozilla/4.61 [en] (OS/2; I) [Netscape]">'
call lineout OutputFile, '   <title>Fall 2000 ' || ClassName || ' Mastery Tally Sheet</title>'
call lineout OutputFile, '</head>'
call lineout OutputFile, '<body>'

call lineout OutputFile, '<center>'
call lineout OutputFile, '<h2>'
call lineout OutputFile, ClassName || ' Mastery</h2></center>'

call lineout OutputFile, '<center>'
call lineout OutputFile, '<h2>'
call lineout OutputFile, 'Chapter ' || Chapter || '</h2></center>'

call lineout OutputFile, '<center>'
call lineout OutputFile, '<h3>'
call lineout OutputFile, 'Fall Semester 2000</h3></center>'

/* creates the table header */
call lineout OutputFile, '<p><br />'
call lineout OutputFile, '<table>'
call lineout OutputFile, '<tr>'
call lineout OutputFile, '<td><b>Period ' || Period || ' - ' || ClassName '</b></td>'
call lineout OutputFile, '</tr>'
call lineout OutputFile, '</table>'

/* creates the table that displays the Mastery Number & Mastery Due Date */
call lineout OutputFile, '<table center WIDTH="100%" cellpading="1">'
call lineout OutputFile, '<tr>'
call lineout OutputFile, '  <td ALIGN=right BGCOLOR="#CCCCCC"><b>Mastery Number:&nbsp;</b></td>'

/* create the 6 pairs of boxes across the page that hold the Mastery numbers */
do Counter = 1 to 12 by 2
call lineout OutputFile, '  <td width=' || BoxWidth || '>'
call lineout OutputFile, '    <table BORDER COLS=12 WIDTH="100%" >'
call lineout OutputFile, '    <tr>'
                                if Counter < 11 then /* create the 5 pairs of boxes across the page that hold the Mastery numbers */
                                do
call lineout OutputFile, '        <td ALIGN=CENTER BGCOLOR="#CCCCCC"><b>' || Chapter || '-' || Counter || '</b></td>'
call lineout OutputFile, '        <td ALIGN=CENTER BGCOLOR="#CCCCCC"><b>' || Chapter || '-' || Counter+1 || '</b></td>'
                                end
                                else /* output 1 pair of blank boxes */
                                do
call lineout OutputFile, '        <td ALIGN=CENTER BGCOLOR="#CCCCCC"><b>&nbsp;</b></td>'
call lineout OutputFile, '        <td ALIGN=CENTER BGCOLOR="#CCCCCC"><b>&nbsp;</b></td>'
                                end /* if Counter > 10 */
call lineout OutputFile, '    </tr>'
call lineout OutputFile, '    </table>'
call lineout OutputFile, '  </td>'
end /* do Counter = 1 to 12 by 2 */

/* close out the Mastery Numbers row */
call lineout OutputFile, '</tr>'

/* start the Mastery Due Date row */
call lineout OutputFile, '<tr>'
call lineout OutputFile, '  <td ALIGN=right BGCOLOR="#CCCCCC"><b>Mastery Due Date:&nbsp;</b></td>'

/* create the 6 pairs of boxes across the page that hold the Mastery due date */
do Counter = 1 to 12 by 2
call lineout OutputFile, '  <td width = ' || BoxWidth || '>'
call lineout OutputFile, '    <table BORDER COLS=12 WIDTH="100%" >'
call lineout OutputFile, '    <tr>'
call lineout OutputFile, '      <td ALIGN=CENTER BGCOLOR="#ffffff"><b>&nbsp;</b></td>'
call lineout OutputFile, '      <td ALIGN=CENTER BGCOLOR="#ffffff"><b>&nbsp;</b></td>'
call lineout OutputFile, '    </tr>'
call lineout OutputFile, '    </table>'
call lineout OutputFile, '  </td>'
end /* do Counter = 1 to 12 by 2 */

/* close out the Mastery Due Date row */
call lineout OutputFile, '</tr>'
/* close out the table that displays the Mastery Number & Mastery Due Date */
call lineout OutputFile, '</table>'

/* creates the table that displays the words Code & Name */
call lineout OutputFile, '<table width="40%">'
call lineout OutputFile, '<tr>'
call lineout OutputFile, '  <td BGCOLOR="#CCCCCC">'
call lineout OutputFile, '    <table WIDTH="100%" bgcolor="#cccccc">'
call lineout OutputFile, '    <tr>'
call lineout OutputFile, '      <td  width="24%" ALIGN=CENTER><b>Code</b></td>'
call lineout OutputFile, '      <td ALIGN=CENTER><b>Name</b></td>'
call lineout OutputFile, '    </tr>'
call lineout OutputFile, '    </table>'
call lineout OutputFile, '  </td>'
call lineout OutputFile, '</tr>'
call lineout OutputFile, '</table>'
/* end of table that displays the words Code & Name */

/* creates the table that displays boxes for student code, student name, and scores */
do TableRows = 1 to 20

/* creates the table that will hold student code, student name, and scores */
call lineout OutputFile, '<table WIDTH="100%" cellpading="1">'
call lineout OutputFile, '<tr>'
call lineout OutputFile, '  <td ALIGN=right BGCOLOR="#ffffff">'
call lineout OutputFile, '<b>'
/* imbedded table to make form to hold student code & student name */
call lineout OutputFile, '  <table border WIDTH="100%" bgcolor="#ffffff">'
call lineout OutputFile, '  <tr>'
call lineout OutputFile, '    <td width="24%" ALIGN=left><b>' || StuCode || '</b></td>'
call lineout OutputFile, '    <td ALIGN=left><b>' || StuName || '</b></td>'
call lineout OutputFile, '  </tr>'
call lineout OutputFile, '  </table>'
/* end of the imbedded student code and name table */
call lineout OutputFile, '</b>'
call lineout OutputFile, '</td>'
/* end of the table that will hold student code, student name, and scores */

/* create the 6 pairs of boxes across the page that hold the students' scores */
do Counter = 1 to 12 by 2
call lineout OutputFile, '  <td width = ' || BoxWidth || '>'
call lineout OutputFile, '    <table BORDER COLS=12 WIDTH="100%" >'
call lineout OutputFile, '    <tr>'
call lineout OutputFile, '      <td ALIGN=CENTER BGCOLOR="#ffffff"><b>&nbsp;</b></td>'
call lineout OutputFile, '      <td ALIGN=CENTER BGCOLOR="#ffffff"><b>&nbsp;</b></td>'
call lineout OutputFile, '    </tr>'
call lineout OutputFile, '    </table>'
call lineout OutputFile, '  </td>'
end /* do Counter = 1 to 12 by 2 */

/* close out the student code, student name, and scores row */
call lineout OutputFile, '</tr>'
/* close out the table that holds student code, student name, and scores */
call lineout OutputFile, '</table>'

end /* do TableRows = 1 to 20 */

/* close out the html file */
call lineout OutputFile, '</body>'
call lineout OutputFile, '</html>'

